%define module	PAR-Dist
%define name	perl-%{module}
%define version 0.18
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Create and manipulate PAR distributions
License:	Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}/
Source:		http://www.cpan.org/modules/by-module/PAR/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module creates and manipulates *PAR distributions*. They are
architecture-specific PAR files, containing everything under blib/ of CPAN
distributions after their "make" or "Build" stage, a META.yml describing
metadata of the original CPAN distribution, and a MANIFEST detailing all files
within it. Digitally signed PAR distributions will also contain a SIGNATURE
file.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/*/*
%{perl_vendorlib}/PAR

%changelog
* Sat Sep 02 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-02 18:44:24 (59623)
- 0.18

* Mon Aug 07 2006 rafael
+ 2006-08-07 15:10:39 (53972)
0.15

* Mon Aug 07 2006 rafael
+ 2006-08-07 15:09:01 (53970)
Import perl-PAR-Dist

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdv2007.0
- New version 0.10

* Tue May 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-1mdv2007.0
- new version
- spec cleanup
- rpmbuildupate aware
- fix directory ownership

* Tue Feb 14 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.08-1mdk
- 0.08

* Mon Feb 13 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.07-3mdk
- rebuild; spec cleanup

* Sun Feb 06 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.07-2mdk
- rebuild for new perl

* Fri May 21 2004 Florin <florin@mandrakesoft.com> 0.07-1mdk
- first Mandrake Release

